#********************************************************************
# TestWrapper Properties
#
# NOTE - Please use src/conf/wrapper.conf.in as a template for your
#        own application rather than the values used for the
#        TestWrapper sample.
#********************************************************************
# Java Application
wrapper.java.command=java.exe

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.  See the Integration section
#  of the documentation for details.
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1

wrapper.java.classpath.1=./ext/antlr-2.7.6.jar
wrapper.java.classpath.2=./ext/antlr-3.0.jar
wrapper.java.classpath.3=./ext/aopalliance-1.0.jar
wrapper.java.classpath.4=./ext/cglib-asm-1.0.jar
wrapper.java.classpath.5=./ext/commons-collections-3.1.jar
wrapper.java.classpath.6=./ext/commons-logging-4.0.6.jar
wrapper.java.classpath.7=./ext/derby.jar
wrapper.java.classpath.8=./ext/dom4j.jar
wrapper.java.classpath.9=./ext/ejb3-persistence.jar
wrapper.java.classpath.10=./ext/hibernate-annotations.jar
wrapper.java.classpath.11=./ext/hibernate-commons-annotations.jar
wrapper.java.classpath.12=./ext/hibernate-core.jar
wrapper.java.classpath.13=./ext/hibernate-entitymanager.jar
wrapper.java.classpath.14=./ext/hibernate-tools.jar
wrapper.java.classpath.15=./ext/hibernate3.jar
wrapper.java.classpath.16=./ext/javaee.jar
wrapper.java.classpath.17=./ext/javassist-3.1.jar
wrapper.java.classpath.18=./ext/jsf-api.jar
wrapper.java.classpath.19=./ext/jsf-impl.jar
wrapper.java.classpath.20=./ext/jstl-1.2.jar
wrapper.java.classpath.21=./ext/jta.jar
wrapper.java.classpath.22=./ext/log4j-1.2.12.jar
wrapper.java.classpath.23=./ext/org.springframework.aop-3.0.0.M3.jar
wrapper.java.classpath.24=./ext/org.springframework.asm-3.0.0.M3.jar
wrapper.java.classpath.25=./ext/org.springframework.aspects-3.0.0.M3.jar
wrapper.java.classpath.26=./ext/org.springframework.beans-3.0.0.M3.jar
wrapper.java.classpath.27=./ext/org.springframework.context-3.0.0.M3.jar
wrapper.java.classpath.28=./ext/org.springframework.context.support-3.0.0.M3.jar
wrapper.java.classpath.29=./ext/org.springframework.core-3.0.0.M3.jar
wrapper.java.classpath.30=./ext/org.springframework.expression-3.0.0.M3.jar
wrapper.java.classpath.31=./ext/org.springframework.instrument-3.0.0.M3.jar
wrapper.java.classpath.32=./ext/org.springframework.instrument.classloading-3.0.0.M3.jar
wrapper.java.classpath.33=./ext/org.springframework.integration-tests-3.0.0.M3.jar
wrapper.java.classpath.34=./ext/org.springframework.jdbc-3.0.0.M3.jar
wrapper.java.classpath.35=./ext/org.springframework.jms-3.0.0.M3.jar
wrapper.java.classpath.36=./ext/org.springframework.orm-3.0.0.M3.jar
wrapper.java.classpath.37=./ext/org.springframework.oxm-3.0.0.M3.jar
wrapper.java.classpath.38=./ext/org.springframework.test-3.0.0.M3.jar
wrapper.java.classpath.39=./ext/org.springframework.transaction-3.0.0.M3.jar
wrapper.java.classpath.40=./ext/org.springframework.web-3.0.0.M3.jar
wrapper.java.classpath.41=./ext/org.springframework.web.portlet-3.0.0.M3.jar
wrapper.java.classpath.42=./ext/org.springframework.web.servlet-3.0.0.M3.jar
wrapper.java.classpath.43=./ext/postgresql-8.4-701.jdbc3.jar
wrapper.java.classpath.44=./ext/slf4j-api.jar
wrapper.java.classpath.45=./ext/slf4j-simple-1.5.0.jar
wrapper.java.classpath.46=./ext/wrapper.jar
wrapper.java.classpath.47=./ScalesComponent.jar

# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=.

# Java Additional Parameters
#wrapper.java.additional.1=

# Initial Java Heap Size (in MB)
#wrapper.java.initmemory=3

# Maximum Java Heap Size (in MB)
#wrapper.java.maxmemory=128

# Application parameters.  Add parameters as needed starting from 1
wrapper.app.parameter.1=ru.crystalservice.ScalesComponent

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=INFO

# Log file to use for wrapper output logging.
wrapper.logfile=./logs/wrapper.log

# Format of output for the log file.  (See docs for formats)
wrapper.logfile.format=LPTM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=INFO

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=0

# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=0

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=NONE

#********************************************************************
# Wrapper Windows Properties
#********************************************************************
# Title to use when running as a console
wrapper.console.title=Весовой компонент

#********************************************************************
# Wrapper Windows NT/2000/XP Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.ntservice.name=ScalesComponent

# Display name of the service
wrapper.ntservice.displayname=Весовой компонент

# Description of the service
wrapper.ntservice.description=Служба работы с весами

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop.
wrapper.ntservice.interactive=false

